de.esprit.appsuite.appstore.ndf

## Class TimstampHandler

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfHandler
  - - de.esprit.appsuite.appstore.ndf.TimstampHandler

- All Implemented Interfaces:
    NdfConstants, NdfParseControl, SimpleLogSupport

      public class TimstampHandler
      extends NdfHandler

  This handler reads an `AppLaunchPrefs` instance from an NDF file.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, currentNdfDocVersion, defaultTextEndChar, defaultTextParagraphChar, lineCommentChar, ndfDocAuthorKey, ndfDocCreatedKey, ndfDocEncodingKey, ndfDocTypeKey, ndfDocVersionKey, nullLiteral, quotingBreakCodes, standardBreakCodes, structureChar, textValueBreakCodes, validTextBreakSymbols`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimstampHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `foundTableRow(NdfStructure struct, int rowIndex, NdfProperties props)` Called when a table row was found within a table structure.
    `java.util.List<FileEntry>` | `getFileList()`
    `void` | `startDocument(NdfStructure struct, NdfProperties headerProps)` Called when document parsing is started.
    `NotifyTableValue` | `startTable(NdfStructure struct, NdfProperties props, java.lang.String[] columns)` Called when a table structure was found.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfHandler

      `acceptDocumentVersion, checkDocumentType, doneArray, doneDocument, doneList, doneObject, doneTable, doneText, foundArrayValue, foundArrayValue, foundListValue, foundListValue, foundProperties, foundTableCell, foundTableRow, foundText, foundText, getCurrentNestingLevel, getCurrentStructure, getDocAuthor, getDocCreated, getDocEncoding, getDocType, getDocVersion, getFileInfo, getLineNumber, getLogChannel, getMaxNestingLevel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, startArray, startList, startObject, startText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimstampHandler

          public TimstampHandler()

  - ### Method Detail

    - #### startDocument

          public void startDocument(NdfStructure struct,
                           NdfProperties headerProps)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when document parsing is started. Note that the document header properties are already read before this call.
      Overrides:
        `startDocument` in class `NdfHandler`
        `headerProps` - the header properties found in the document
      Throws:
        `java.lang.Exception`

    - #### startTable

          public NotifyTableValue startTable(NdfStructure struct,
                                    NdfProperties props,
                                    java.lang.String[] columns)
                                      throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when a table structure was found. The return value of this method defines which type of notification takes place and thus defines which method needs to be overridden in order to receive the table value notification.
      - `NotifyTableValue.AS_PROPERTIES`
        causes notification by properties calling `NdfHandler.foundTableRow(NdfStructure, int, NdfProperties)`
        this is the default way of notification.
      - `NotifyTableValue.AS_STRING_ARRAY`
        causes notification by String[] calling `NdfHandler.foundTableRow(NdfStructure, int, String[])`
      - `NotifyTableValue.AS_BUFFERED_WORD`
        causes notification by AsciiWord calling `NdfHandler.foundTableCell(NdfStructure, int, int, AsciiWord)`
        This is the fastest way of notification, but it works only for pure number values.
      Overrides:
        `startTable` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

    - #### foundTableRow

          public void foundTableRow(NdfStructure struct,
                           int rowIndex,
                           NdfProperties props)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when a table row was found within a table structure. This method is called in `NotifyTableValue.AS_PROPERTIES` notification mode. It is quite expensive because it parses values the same way as property values. But it provides the convenience to extract values readily converted to the desired data type.
      Overrides:
        `foundTableRow` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

    - #### getFileList

          public java.util.List<FileEntry> getFileList()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.